/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef ADC_MODULE_H
#define ADC_MODULE_H 1

//#include "cytypes.h"
#include "cyfitter.h"

#include "ADCModule_1_ADC_1.h"
#include "ADCModule_1_DMA_1.h"
#include "ADCModule_1_DMA_2.h"
#include "ADCModule_1_DMA_3.h"
#include "ADCModule_1_DMA_4.h"
#include "ADCModule_1_Ctrl_chan.h"
//#include "ADCModule_1_sample_filter_dp8_v_1_defs.h"
static inline void ADCModule_1_Start()
{

  ADCModule_1_DMA_1_Init();
  ADCModule_1_DMA_1_SetSrcAddress(&ADCModule_1_DMA_1_get_adc_result, (const void*)(&(SAR->CHAN_RESULT[0])));
  //ADCModule_1_DMA_1_SetDstAddress(&ADCModule_1_DMA_1_get_adc_result, (const void*)ADCModule_1_sample_filter_1_Datapath_1_F0_PTR);
  ADCModule_1_DMA_1_SetDstAddress(&ADCModule_1_DMA_1_get_adc_result, (const void*)ADCModule_1_sample_filter_dp8_v_1_Datapath_1_u0__F0_F1_REG);
  ADCModule_1_DMA_1_SetSrcAddress(&ADCModule_1_DMA_1_get_sar_ch, (const void*)&(SAR->STATUS));
  ADCModule_1_DMA_1_SetDstAddress(&ADCModule_1_DMA_1_get_sar_ch, (const void*)ADCModule_1_Ctrl_chan_Control_PTR);
  ADCModule_1_DMA_1_ChannelEnable();
  
  ADCModule_1_DMA_2_Init();
  ADCModule_1_DMA_2_SetSrcAddress(&ADCModule_1_DMA_2_get_adc_result, (const void*)(&(SAR->CHAN_RESULT[1])));
  ADCModule_1_DMA_2_SetDstAddress(&ADCModule_1_DMA_2_get_adc_result, (const void*)ADCModule_1_sample_filter_dp8_v_1_Datapath_1_u0__F0_F1_REG);
  ADCModule_1_DMA_2_SetSrcAddress(&ADCModule_1_DMA_2_get_sar_ch, (const void*)&(SAR->STATUS));
  ADCModule_1_DMA_2_SetDstAddress(&ADCModule_1_DMA_2_get_sar_ch, (const void*)ADCModule_1_Ctrl_chan_Control_PTR);
  ADCModule_1_DMA_2_ChannelEnable();
  
  ADCModule_1_DMA_3_Init();
  ADCModule_1_DMA_3_SetSrcAddress(&ADCModule_1_DMA_3_get_adc_result, (const void*)(&(SAR->CHAN_RESULT[2])));
  ADCModule_1_DMA_3_SetDstAddress(&ADCModule_1_DMA_3_get_adc_result, (const void*)ADCModule_1_sample_filter_dp8_v_1_Datapath_1_u0__F0_F1_REG);
  ADCModule_1_DMA_3_SetSrcAddress(&ADCModule_1_DMA_3_get_sar_ch, (const void*)&(SAR->STATUS));
  ADCModule_1_DMA_3_SetDstAddress(&ADCModule_1_DMA_3_get_sar_ch, (const void*)ADCModule_1_Ctrl_chan_Control_PTR);
  ADCModule_1_DMA_3_ChannelEnable();
  
  ADCModule_1_DMA_4_Init();
  ADCModule_1_DMA_4_SetSrcAddress(&ADCModule_1_DMA_4_get_adc_result, (const void*)(&(SAR->CHAN_RESULT[3])));
  ADCModule_1_DMA_4_SetDstAddress(&ADCModule_1_DMA_4_get_adc_result, (const void*)ADCModule_1_sample_filter_dp8_v_1_Datapath_1_u0__F0_F1_REG);
  ADCModule_1_DMA_4_SetSrcAddress(&ADCModule_1_DMA_4_get_sar_ch, (const void*)&(SAR->STATUS));
  ADCModule_1_DMA_4_SetDstAddress(&ADCModule_1_DMA_4_get_sar_ch, (const void*)ADCModule_1_Ctrl_chan_Control_PTR);
  ADCModule_1_DMA_4_ChannelEnable();
  
  ADCModule_1_ADC_1_Start();
//  ADCModule_1_ADC_1_SetChanMask(0x0F);
  ADCModule_1_ADC_1_StartConvert();

}



#endif // ADC_MODULE_H

/* [] END OF FILE */
