/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

//#include "ADCModule_1_ADCModule.h"

static volatile uint32_t sar_status;
CY_ALIGN(4) static volatile uint32_t adc_result4;
static volatile uint8_t adc_result4_MSBs;
static volatile uint8_t adc_result_stat;

static uint8_t osd_line_src[90];
static volatile uint8_t osd_dst;

int main(void)
{
    __enable_irq(); /* Enable global interrupts. */
    /* Enable CM4.  CY_CORTEX_M4_APPL_ADDR must be updated if CM4 memory layout is changed. */
    Cy_SysEnableCM4(CY_CORTEX_M4_APPL_ADDR); 

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    Counter_1_Start();
    DMA_OSD_Start((const void*)&osd_line_src, (const void*)&osd_dst);
    
    ADCModule_1_Start();
    
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
