/*******************************************************************************
* File Name: ADCModule_1_Ctrl_chan.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_ADCModule_1_Ctrl_chan_H) /* CY_CONTROL_REG_ADCModule_1_Ctrl_chan_H */
#define CY_CONTROL_REG_ADCModule_1_Ctrl_chan_H

#include "cyfitter.h"

#if ((CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC4) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC5))
    #include "cytypes.h"
#else
    #include "syslib/cy_syslib.h"
#endif

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 controlState;

} ADCModule_1_Ctrl_chan_BACKUP_STRUCT;


/***************************************
*         Function Prototypes 
***************************************/

void    ADCModule_1_Ctrl_chan_Write(uint8 control) ;
uint8   ADCModule_1_Ctrl_chan_Read(void) ;

void ADCModule_1_Ctrl_chan_SaveConfig(void) ;
void ADCModule_1_Ctrl_chan_RestoreConfig(void) ;
void ADCModule_1_Ctrl_chan_Sleep(void) ; 
void ADCModule_1_Ctrl_chan_Wakeup(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define ADCModule_1_Ctrl_chan_Control        (* (reg8 *) ADCModule_1_Ctrl_chan_Sync_ctrl_reg__CONTROL_REG )
#define ADCModule_1_Ctrl_chan_Control_PTR    (  (reg8 *) ADCModule_1_Ctrl_chan_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_ADCModule_1_Ctrl_chan_H */


/* [] END OF FILE */
