/*******************************************************************************
* File Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm.h
* Version 1.0
*
* Description:
*  This file provides constants and parameter values for the ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm
*  component.
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CY_TCPWM_COUNTER_PDL_H)
#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CY_TCPWM_COUNTER_PDL_H

#include "cyfitter.h"
#include "tcpwm/cy_tcpwm_counter.h"

   
/*******************************************************************************
* Variables
*******************************************************************************/
/**
* \addtogroup group_globals
* @{
*/
extern uint8_t  ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_initVar;
extern cy_stc_tcpwm_counter_config_t const ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_config;
/** @} group_globals */


/***************************************
*  Conditional Compilation Parameters
***************************************/

#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INIT_COMPARE_OR_CAPTURE    (2UL)


/***************************************
*        Function Prototypes
****************************************/
/**
* \addtogroup group_general
* @{
*/
void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Start(void);
__STATIC_INLINE cy_en_tcpwm_status_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Init(cy_stc_tcpwm_counter_config_t const *config);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_DeInit(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Enable(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Disable(void);
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetStatus(void);

#if(CY_TCPWM_COUNTER_MODE_CAPTURE == ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INIT_COMPARE_OR_CAPTURE)
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCapture(void);
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCaptureBuf(void);
#else
    __STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCompare0(uint32_t compare0);
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCompare0(void);
    __STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCompare1(uint32_t compare1);
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCompare1(void);
    __STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_EnableCompareSwap(bool enable);
#endif /* (CY_TCPWM_COUNTER_MODE_CAPTURE == ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INIT_COMPARE_OR_CAPTURE) */

__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCounter(uint32_t count);
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCounter(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetPeriod(uint32_t period);
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetPeriod(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerStart(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerReload(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerStop(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerCapture(void);
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptStatus(void);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_ClearInterrupt(uint32_t source);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetInterrupt(uint32_t source);
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetInterruptMask(uint32_t mask);
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptMask(void);
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptStatusMasked(void);
/** @} general */


/***************************************
*           API Constants
***************************************/

/**
* \addtogroup group_macros
* @{
*/
/** This is a ptr to the base address of the TCPWM instance */
#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW                 (ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TCPWM__HW)

/** This is a ptr to the base address of the TCPWM CNT instance */
#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_HW             (ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TCPWM__CNT_HW)

/** This is the counter instance number in the selected TCPWM */
#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM            (ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TCPWM__CNT_IDX)

/** This is the bit field representing the counter instance in the selected TCPWM */
#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK           (1UL << ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM)
/** @} group_macros */

#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INPUT_MODE_MASK    (0x3U)
#define ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INPUT_DISABLED     (7U)


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Init
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_Init() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE cy_en_tcpwm_status_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Init(cy_stc_tcpwm_counter_config_t const *config)
{
    return(Cy_TCPWM_Counter_Init(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, config));
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_DeInit
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_DeInit() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_DeInit(void)                   
{
    Cy_TCPWM_Counter_DeInit(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, &ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_config);
}

/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Enable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Enable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Enable(void)                   
{
    Cy_TCPWM_Enable_Multiple(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Disable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Disable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_Disable(void)                  
{
    Cy_TCPWM_Disable_Multiple(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetStatus(void)                
{
    return(Cy_TCPWM_Counter_GetStatus(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
}


#if(CY_TCPWM_COUNTER_MODE_CAPTURE == ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INIT_COMPARE_OR_CAPTURE)
    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCapture
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCapture() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCapture(void)               
    {
        return(Cy_TCPWM_Counter_GetCapture(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCaptureBuf
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCaptureBuf() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCaptureBuf(void)            
    {
        return(Cy_TCPWM_Counter_GetCaptureBuf(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
    }
#else
    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCompare0
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_SetCompare0() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCompare0(uint32_t compare0)      
    {
        Cy_TCPWM_Counter_SetCompare0(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, compare0);
    }


    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCompare0
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCompare0() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCompare0(void)              
    {
        return(Cy_TCPWM_Counter_GetCompare0(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCompare1
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_SetCompare1() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCompare1(uint32_t compare1)      
    {
        Cy_TCPWM_Counter_SetCompare1(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, compare1);
    }


    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCompare1
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCompare1() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCompare1(void)              
    {
        return(Cy_TCPWM_Counter_GetCompare1(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_EnableCompareSwap
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_EnableCompareSwap() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_EnableCompareSwap(bool enable)  
    {
        Cy_TCPWM_Counter_EnableCompareSwap(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, enable);
    }
#endif /* (CY_TCPWM_COUNTER_MODE_CAPTURE == ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_INIT_COMPARE_OR_CAPTURE) */


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_SetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetCounter(uint32_t count)          
{
    Cy_TCPWM_Counter_SetCounter(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, count);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetCounter(void)               
{
    return(Cy_TCPWM_Counter_GetCounter(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetPeriod
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_SetPeriod() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetPeriod(uint32_t period)          
{
    Cy_TCPWM_Counter_SetPeriod(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, period);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetPeriod
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetPeriod() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetPeriod(void)                
{
    return(Cy_TCPWM_Counter_GetPeriod(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerStart
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStart() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerStart(void)             
{
    Cy_TCPWM_TriggerStart(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerReload
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerReloadOrIndex() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerReload(void)     
{
    Cy_TCPWM_TriggerReloadOrIndex(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerStop
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStopOrKill() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerStop(void)
{
    Cy_TCPWM_TriggerStopOrKill(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerCapture
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerCaptureOrSwap() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_TriggerCapture(void)     
{
    Cy_TCPWM_TriggerCaptureOrSwap(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptStatus(void)       
{
    return(Cy_TCPWM_GetInterruptStatus(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_ClearInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_ClearInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_ClearInterrupt(uint32_t source)     
{
    Cy_TCPWM_ClearInterrupt(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetInterrupt(uint32_t source)
{
    Cy_TCPWM_SetInterrupt(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_SetInterruptMask(uint32_t mask)     
{
    Cy_TCPWM_SetInterruptMask(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM, mask);
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptMask(void)         
{
    return(Cy_TCPWM_GetInterruptMask(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptStatusMasked
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatusMasked() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_GetInterruptStatusMasked(void)
{
    return(Cy_TCPWM_GetInterruptStatusMasked(ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CNT_NUM));
}

#endif /* ESCCore_sw_blanking_4_ESC_Comm_simple_1_Timer_Comm_CY_TCPWM_COUNTER_PDL_H */


/* [] END OF FILE */
