/*******************************************************************************
* File Name: ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl.c  
* Version 1.80
*
* Description:
*  This file contains API to enable firmware control of a Control Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl.h"

/* Check for removal by optimization */
#if !defined(ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Sync_ctrl_reg__REMOVED)

    
/*******************************************************************************
* Function Name: ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Write
********************************************************************************
*
* Summary:
*  Write a byte to the Control Register.
*
* Parameters:
*  control:  The value to be assigned to the Control Register.
*
* Return:
*  None.
*
*******************************************************************************/
void ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Write(uint8 control) 
{
    ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Control = control;
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Control Register.
*
* Parameters:
*  None.
*
* Return:
*  Returns the current value in the Control Register.
*
*******************************************************************************/
uint8 ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Read(void) 
{
    return ESCCore_sw_blanking_1_ESC_Comm_1_ACtrl_Control;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
